<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declidisp.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declidispdesc.class.php");

class Declidisppoids extends PluginsClassiques{

		var $id;
		var $declidisp;
		var $poids;

	
		var $table="declidisppoids";
		var $bddvars = array("id", "declidisp", "poids");
	
		function Declidisppoids(){
			$this->PluginsClassiques();	
		}
	
        function init(){
            $cnx = new Cnx();
            $query = "CREATE TABLE `declidisppoids` (
			  `id` int(11) NOT NULL auto_increment,
			  `declidisp` int(11) NOT NULL,
			  `poids` FLOAT NOT NULL,
			  PRIMARY KEY  (`id`)
			);";
           
			$resul = mysql_query($query, $cnx->link);
		}

    
    	function charger($declidisp){
            return $this->getVars("select * from $this->table where declidisp=\"$declidisp\"");
    	}

		
		function action(){
			global $res;
			
			$poids = $this->poids_panier();
			$res = str_replace("#DECLIDISPPOIDS_PANIER_POIDS", $poids, $res);
			
		}
		
		function poids_panier(){
			$poids = 0;
		
			for($i=0; $i<$_SESSION['navig']->panier->nbart; $i++){
				$trouve = 0;
				
				for($j=0; $j<count($_SESSION['navig']->panier->tabarticle[$i]->perso); $j++){
					if($this->charger($_SESSION['navig']->panier->tabarticle[$i]->perso[$j]->valeur)){
						$trouve = 1;
						$poids+=round($this->poids * $_SESSION['navig']->panier->tabarticle[$i]->quantite, 2);
					}
				}
				
				if(! $trouve)
					$poids+=round($_SESSION['navig']->panier->tabarticle[$i]->produit->poids * $_SESSION['navig']->panier->tabarticle[$i]->quantite, 2);
		
			}
			
			return $poids;		
		}
		
	    function boucle($texte, $args){
			$declidisp = lireTag($args,"declidisp");
			
        	$res="";
			
			if($declidisp == "")
				return;
				
			$search = "";
			if($declidisp != "") $search .= " and declidisp=\"$declidisp\"";
			
			$query = "select * from $this->table where 1 $search";
			$resul = mysql_query($query, $this->link);
			$nbres = mysql_num_rows($resul);

			if(! $nbres)
				return "";

			while($row = mysql_fetch_object($resul)){
		       	 $temp = str_replace("#DECLIDISP", $row->declidisp, $texte);
                 $temp = str_replace("#POIDS", $row->poids, $temp);
                 
			 	 $res .= $temp;
			}
            
 			return $res;
      	}


	}


?>
